> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Connect Auth Verify

> endpoint to verify and complete connecting an auth account to a Snag account



## OpenAPI

````yaml /api-reference/openapi.documented.json get /api/{authType}/auth/connect
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/{authType}/auth/connect:
    get:
      tags:
        - Identity
      summary: Connect Auth Verify
      description: >-
        endpoint to verify and complete connecting an auth account to a Snag
        account
      parameters:
        - name: authType
          in: path
          required: true
          schema:
            type: string
            enum:
              - tiktok
              - reddit
              - instagram
        - name: code
          in: query
          schema:
            type: string
        - name: state
          in: query
          required: true
          schema:
            type: string
        - name: redditProfileUrl
          in: query
          description: The URL of the Reddit profile
          schema:
            type: string
            title: Reddit Profile URL
            example: https://www.reddit.com/user/example
        - name: tiktokProfileUrl
          in: query
          description: The URL of the TikTok profile
          schema:
            type: string
            title: TikTok Profile URL
            example: https://www.tiktok.com/@example/video/1234567890
        - name: instagramUsernameOrUrl
          in: query
          description: The username or URL of the Instagram profile
          schema:
            type: string
            title: Instagram Username or URL
            example: https://www.instagram.com/example/
        - name: responseType
          in: query
          description: >-
            The type of response to return, this is not valid for email auth,
            email auth only supports the redirect flow via verification link.
          schema:
            type: string
            enum:
              - redirect
              - json
            title: Response Type
            example: json
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    title: Success
                    description: Whether the account was linked successfully
                    example: true
                  error:
                    type: string
                    title: Error
                    description: >-
                      The error message if the account was not linked
                      successfully
                    example: MAXIMUM_ACCOUNT_LINKED
                  message:
                    type: string
                    title: Message
                    description: The message of the response
                    example: Account linked successfully
                  jwtState:
                    type: string
                    title: JWT State
                    description: The JWT state
                required:
                  - success
                title: Connect Social Auth Verify Response
                description: >-
                  200 response for GET /api/{authType}/auth/connect. Success,
                  conflict (account already linked), or verification error.
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Request body is invalid
                required:
                  - message
                title: Bad Request Response
                description: Schema for bad request response
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Forbidden, Could not validate api key
                required:
                  - message
                title: Forbidden Response
                description: Schema for forbidden response
                example: Forbidden, Could not validate api key
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    title: Success
                    description: Indicates operation success
                    example: false
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Internal server error
                  debugInfo:
                    type: string
                    title: Debug Info
                    description: Optional debug information
                    example: Stack trace or additional error details
                required:
                  - success
                  - message
                title: Internal Server Error Response
                description: Schema for internal server error response
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````